# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/activityTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/activityTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class ActivityType(object):
  "Automatically-generated uint_8 enumeration."
  BehaviorsOnly = 0
  BuildPyramid  = 1
  Freeplay      = 2
  GatherCubes   = 3
  Socialize     = 4
  Sparked       = 5
  VoiceCommand  = 6
  Count         = 7

Anki.Cozmo.ActivityType = ActivityType
del ActivityType


class ActivityID(object):
  "Automatically-generated uint_8 enumeration."
  Invalid              = 0
  BuildPyramid         = 1
  Freeplay             = 2
  GatherCubes          = 3
  Hiking               = 4
  MeetCozmo            = 5
  NothingToDo          = 6
  ObjectTapInteraction = 7
  PlayAlone            = 8
  PlayWithHumans       = 9
  PutDownDispatch      = 10
  Selection            = 11
  Socialize            = 12
  SparksBuildPyramid   = 13
  SparksFistBump       = 14
  SparksGatherCubes    = 15
  SparksKnockOverCubes = 16
  SparksPeekABoo       = 17
  SparksPickUpCube     = 18
  SparksPopAWheelie    = 19
  SparksPounceOnMotion = 20
  SparksRollBlock      = 21
  SparksStackBlock     = 22
  SparksWorkout        = 23
  VisitPossibleMarker  = 24
  VoiceCommand         = 25

Anki.Cozmo.ActivityID = ActivityID
del ActivityID


class ActivityStrategy(object):
  "Automatically-generated uint_8 enumeration."
  ObjectTapInteraction = 0
  PlayWithHumans       = 1
  Pyramid              = 2
  Simple               = 3
  Spark                = 4
  Count                = 5

Anki.Cozmo.ActivityStrategy = ActivityStrategy
del ActivityStrategy


class HighLevelActivity(object):
  "Automatically-generated uint_8 enumeration."
  Freeplay           = 0
  Selection          = 1
  MeetCozmoFindFaces = 2
  VoiceCommand       = 3
  Count              = 4

Anki.Cozmo.HighLevelActivity = HighLevelActivity
del HighLevelActivity


