# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause              = 0
  AcknowledgeFaceNamed                  = 1
  AcknowledgeFaceUnnamed                = 2
  AcknowledgeObject                     = 3
  AskToBeRightedLeft                    = 4
  AskToBeRightedRight                   = 5
  AudioTestAnim                         = 6
  BlockReact                            = 7
  BuildPyramidFirstBlockOnSide          = 8
  BuildPyramidFirstBlockUpright         = 9
  BuildPyramidLookForFace               = 10
  BuildPyramidReactToBase               = 11
  BuildPyramidSecondBlockOnSide         = 12
  BuildPyramidSecondBlockUpright        = 13
  BuildPyramidSuccess                   = 14
  BuildPyramidThankUser                 = 15
  BuildPyramidThirdBlockOnSide          = 16
  BuildPyramidThirdBlockUpright         = 17
  CantHandleTallStack                   = 18
  PatternGuessNewIdea                   = 19
  PatternGuessThinking                  = 20
  CodeLabBored                          = 21
  CodeLabCat                            = 22
  CodeLabChatty                         = 23
  CodeLabDejected                       = 24
  CodeLabDog                            = 25
  CodeLabEnter                          = 26
  CodeLabExcited                        = 27
  CodeLabExit                           = 28
  CodeLabFrustrated                     = 29
  CodeLabHappy                          = 30
  CodeLabSleep                          = 31
  CodeLabSneeze                         = 32
  CodeLabSurprise                       = 33
  CodeLabThinking                       = 34
  CodeLabUnhappy                        = 35
  CodeLabVictory                        = 36
  ConnectWakeUp                         = 37
  CozmoSaysGetIn                        = 38
  CozmoSaysGetOut                       = 39
  CozmoSaysSpeakGetInShort              = 40
  CozmoSaysSpeakGetInMedium             = 41
  CozmoSaysSpeakGetInLong               = 42
  CozmoSaysSpeakGetOutShort             = 43
  CozmoSaysSpeakGetOutMedium            = 44
  CozmoSaysSpeakGetOutLong              = 45
  CozmoSaysSpeakLoop                    = 46
  CozmoSaysBadWord                      = 47
  CozmoSaysIdle                         = 48
  CubeMovedSense                        = 49
  CubeMovedUpset                        = 50
  CubePounceFake                        = 51
  CubePounceGetIn                       = 52
  CubePounceGetOut                      = 53
  CubePounceGetReady                    = 54
  CubePounceGetUnready                  = 55
  CubePounceIdleLiftDown                = 56
  CubePounceIdleLiftUp                  = 57
  CubePounceLoseHand                    = 58
  CubePounceLoseRound                   = 59
  CubePounceLoseSession                 = 60
  CubePouncePounceClose                 = 61
  CubePouncePounceNormal                = 62
  CubePounceWinHand                     = 63
  CubePounceWinRound                    = 64
  CubePounceWinSession                  = 65
  DemoSpeedTapCozmoWin                  = 66
  DemoSpeedTapCozmoLose                 = 67
  DizzyReactionHard                     = 68
  DizzyReactionMedium                   = 69
  DizzyReactionSoft                     = 70
  DizzyShakeLoop                        = 71
  DizzyShakeStop                        = 72
  DizzyStillPickedUp                    = 73
  DriveEndAngry                         = 74
  DriveEndDefault                       = 75
  DriveEndLaunch                        = 76
  DriveLoopAngry                        = 77
  DriveLoopDefault                      = 78
  DriveLoopLaunch                       = 79
  DriveStartAngry                       = 80
  DriveStartDefault                     = 81
  DriveStartLaunch                      = 82
  DroneModeBackwardDrivingEnd           = 83
  DroneModeBackwardDrivingLoop          = 84
  DroneModeBackwardDrivingStart         = 85
  DroneModeCliffEvent                   = 86
  DroneModeForwardDrivingEnd            = 87
  DroneModeForwardDrivingLoop           = 88
  DroneModeForwardDrivingStart          = 89
  DroneModeGetIn                        = 90
  DroneModeGetOut                       = 91
  DroneModeIdle                         = 92
  DroneModeKeepAlive                    = 93
  DroneModeTurboDrivingStart            = 94
  FacePlantRoll                         = 95
  FacePlantRollArmUp                    = 96
  FailedToRightFromFace                 = 97
  FistBumpIdle                          = 98
  FistBumpRequestOnce                   = 99
  FistBumpRequestRetry                  = 100
  FistBumpSuccess                       = 101
  FistBumpLeftHanging                   = 102
  FlipDownFromBack                      = 103
  FrustratedByFailure                   = 104
  FrustratedByFailureMajor              = 105
  GameSetupGetIn                        = 106
  GameSetupGetOut                       = 107
  GameSetupIdle                         = 108
  GameSetupReaction                     = 109
  GoToSleepGetIn                        = 110
  GoToSleepGetOut                       = 111
  GoToSleepOff                          = 112
  GoToSleepSleeping                     = 113
  GuardDogBusted                        = 114
  GuardDogCubeDisconnect                = 115
  GuardDogFakeout                       = 116
  GuardDogInterruption                  = 117
  GuardDogPlayerSuccess                 = 118
  GuardDogPulse                         = 119
  GuardDogSettle                        = 120
  GuardDogSleepLoop                     = 121
  GuardDogTimeout                       = 122
  GuardDogTimeoutCubesTouched           = 123
  GuardDogTimeoutCubesUntouched         = 124
  Hiccup                                = 125
  HiccupGetIn                           = 126
  HiccupPlayerCure                      = 127
  HiccupRobotOnBack                     = 128
  HiccupRobotOnFace                     = 129
  HiccupRobotPickedUp                   = 130
  HiccupSelfCure                        = 131
  HikingDrivingEnd                      = 132
  HikingDrivingLoop                     = 133
  HikingDrivingStart                    = 134
  HikingInterestingEdgeThought          = 135
  HikingIntro                           = 136
  HikingLookAround                      = 137
  HikingObserve                         = 138
  HikingReactToEdge                     = 139
  HikingReactToNewArea                  = 140
  HikingReactToPossibleMarker           = 141
  HikingSquintEnd                       = 142
  HikingSquintLoop                      = 143
  HikingSquintStart                     = 144
  HikingWakeUpOffCharger                = 145
  IdleOnCharger                         = 146
  InteractWithFaceTrackingIdle          = 147
  InteractWithFacesInitialNamed         = 148
  InteractWithFacesInitialUnnamed       = 149
  KnockOverEyes                         = 150
  KnockOverFailure                      = 151
  KnockOverGrabAttempt                  = 152
  KnockOverPreActionNamedFace           = 153
  KnockOverPreActionUnnamedFace         = 154
  KnockOverSuccess                      = 155
  LaserDriveEnd                         = 156
  LaserDriveLoop                        = 157
  LaserDriveStart                       = 158
  LaserFace                             = 159
  LaserGetOut                           = 160
  LaserPounce                           = 161
  LookInPlaceForFacesBodyPause          = 162
  LookInPlaceForFacesHeadMovePause      = 163
  MajorFail                             = 164
  MajorWin                              = 165
  MeetCozmoGetIn                        = 166
  MeetCozmoLookFaceGetIn                = 167
  MeetCozmoLookFaceGetOut               = 168
  MeetCozmoScanningIdle                 = 169
  MeetCozmoFirstEnrollmentSayName       = 170
  MeetCozmoFirstEnrollmentRepeatName    = 171
  MeetCozmoFirstEnrollmentCelebration   = 172
  MeetCozmoReEnrollmentSayName          = 173
  MeetCozmoRenameFaceSayName            = 174
  MeetCozmoLookFaceInterrupt            = 175
  MemoryMatchPlayerWinHand              = 176
  MemoryMatchPlayerWinHandLong          = 177
  MemoryMatchPlayerWinHandSolo          = 178
  MemoryMatchPlayerLoseHand             = 179
  MemoryMatchPlayerLoseHandSolo         = 180
  MemoryMatchCozmoWinHand               = 181
  MemoryMatchCozmoLoseHand              = 182
  MemoryMatchCozmoWinGame               = 183
  MemoryMatchPlayerWinGame              = 184
  MemoryMatchSoloGameOver               = 185
  MemoryMatchReactToPattern             = 186
  MemoryMatchReactToPatternSolo         = 187
  MemoryMatchPointCenter                = 188
  MemoryMatchPointLeftBig               = 189
  MemoryMatchPointLeftSmall             = 190
  MemoryMatchPointRightBig              = 191
  MemoryMatchPointRightSmall            = 192
  MemoryMatchPointCenterFast            = 193
  MemoryMatchPointLeftBigFast           = 194
  MemoryMatchPointLeftSmallFast         = 195
  MemoryMatchPointRightBigFast          = 196
  MemoryMatchPointRightSmallFast        = 197
  MemoryMatchCozmoGetOut                = 198
  MemoryMatchCozmoFollowTapsSoundOnly   = 199
  NamedFaceInitialGreeting              = 200
  NeutralFace                           = 201
  NothingToDoBoredEvent                 = 202
  NothingToDoBoredIdle                  = 203
  NothingToDoBoredIntro                 = 204
  NothingToDoBoredOutro                 = 205
  OnLearnedPlayerName                   = 206
  OnSawNewNamedFace                     = 207
  OnSawNewUnnamedFace                   = 208
  OnSawOldNamedFace                     = 209
  OnSawOldUnnamedFace                   = 210
  OnSpeedtapCozmoConfirm                = 211
  OnSpeedtapFakeout                     = 212
  OnSpeedtapGameCozmoWinHighIntensity   = 213
  OnSpeedtapGameCozmoWinLowIntensity    = 214
  OnSpeedtapGamePlayerWinHighIntensity  = 215
  OnSpeedtapGamePlayerWinLowIntensity   = 216
  OnSpeedtapGetOut                      = 217
  OnSpeedtapHandCozmoWin                = 218
  OnSpeedtapHandPlayerWin               = 219
  OnSpeedtapIdle                        = 220
  OnSpeedtapRoundCozmoWinHighIntensity  = 221
  OnSpeedtapRoundCozmoWinLowIntensity   = 222
  OnSpeedtapRoundPlayerWinHighIntensity = 223
  OnSpeedtapRoundPlayerWinLowIntensity  = 224
  OnSpeedtapTap                         = 225
  OnWaitForCubesMinigameSetup           = 226
  OnWiggle                              = 227
  OnboardingBirth                       = 228
  OnboardingCubeDockFail                = 229
  OnboardingDiscoverCube                = 230
  OnboardingDriveEnd                    = 231
  OnboardingDriveLoop                   = 232
  OnboardingDriveStart                  = 233
  OnboardingEyesOn                      = 234
  OnboardingHelloPlayer                 = 235
  OnboardingHelloWorld                  = 236
  OnboardingIdle                        = 237
  OnboardingInteractWithCube            = 238
  OnboardingPreBirth                    = 239
  OnboardingReactToCube                 = 240
  OnboardingReactToCubePutDown          = 241
  OnboardingReactToFace                 = 242
  OnboardingSoundOnlyLiftEffortPickup   = 243
  OnboardingSoundOnlyLiftEffortPlaceLow = 244
  OnboardingGetOut                      = 245
  PeekABooGetIn                         = 246
  PeekABooGetOutHappy                   = 247
  PeekABooGetOutSad                     = 248
  PeekABooHighIntensity                 = 249
  PeekABooIdle                          = 250
  PeekABooLowIntensity                  = 251
  PeekABooMedIntensity                  = 252
  PeekABooNoUserInteraction             = 253
  PeekABooShort                         = 254
  PeekABooSurprised                     = 255
  PetDetectionCat                       = 256
  PetDetectionDog                       = 257
  PetDetectionShort                     = 258
  PetDetectionShort_Cat                 = 259
  PetDetectionShort_Dog                 = 260
  PetDetectionSneeze                    = 261
  PickupHelperPreActionNamedFace        = 262
  PickupHelperPreActionUnnamedFace      = 263
  PlacedOnCharger                       = 264
  PopAWheelieInitial                    = 265
  PopAWheeliePreActionNamedFace         = 266
  PopAWheeliePreActionUnnamedFace       = 267
  PopAWheelieRealign                    = 268
  PopAWheelieRetry                      = 269
  PounceDriveEnd                        = 270
  PounceDriveLoop                       = 271
  PounceDriveStart                      = 272
  PounceFace                            = 273
  PounceFail                            = 274
  PounceGetOut                          = 275
  PounceInitial                         = 276
  PouncePounce                          = 277
  PounceSuccess                         = 278
  ProceduralLive                        = 279
  PutDownBlockKeepAlive                 = 280
  PutDownBlockPutDown                   = 281
  ReactToBlockPickupSuccess             = 282
  ReactToBlockRetryPickup               = 283
  ReactToCliff                          = 284
  ReactToCliffDetectorStop              = 285
  ReactToMotorCalibration               = 286
  ReactToNewBlockAsk                    = 287
  ReactToNewBlockBig                    = 288
  ReactToNewBlockSmall                  = 289
  ReactToOnLeftSide                     = 290
  ReactToOnRightSide                    = 291
  ReactToPerchedOnBlock                 = 292
  ReactToPickup                         = 293
  ReactToPokeReaction                   = 294
  ReactToPokeStartled                   = 295
  ReactToUnexpectedMovement             = 296
  RequestGameKeepAwayAccept0            = 297
  RequestGameKeepAwayAccept1            = 298
  RequestGameKeepAwayDeny0              = 299
  RequestGameKeepAwayDeny1              = 300
  RequestGameKeepAwayIdle0              = 301
  RequestGameKeepAwayIdle1              = 302
  RequestGameKeepAwayInitial0           = 303
  RequestGameKeepAwayInitial1           = 304
  RequestGameKeepAwayPreDrive0          = 305
  RequestGameKeepAwayPreDrive1          = 306
  RequestGameKeepAwayRequest0           = 307
  RequestGameKeepAwayRequest1           = 308
  RequestGameMemoryMatchAccept0         = 309
  RequestGameMemoryMatchAccept1         = 310
  RequestGameMemoryMatchDeny0           = 311
  RequestGameMemoryMatchDeny1           = 312
  RequestGameMemoryMatchIdle0           = 313
  RequestGameMemoryMatchIdle1           = 314
  RequestGameMemoryMatchInitial0        = 315
  RequestGameMemoryMatchInitial1        = 316
  RequestGameMemoryMatchPreDrive0       = 317
  RequestGameMemoryMatchPreDrive1       = 318
  RequestGameMemoryMatchRequest0        = 319
  RequestGameMemoryMatchRequest1        = 320
  RequestGamePickupFail                 = 321
  RequestGameSpeedTapAccept0            = 322
  RequestGameSpeedTapAccept1            = 323
  RequestGameSpeedTapDeny0              = 324
  RequestGameSpeedTapDeny1              = 325
  RequestGameSpeedTapIdle0              = 326
  RequestGameSpeedTapIdle1              = 327
  RequestGameSpeedTapInitial0           = 328
  RequestGameSpeedTapInitial1           = 329
  RequestGameSpeedTapPreDrive0          = 330
  RequestGameSpeedTapPreDrive1          = 331
  RequestGameSpeedTapRequest0           = 332
  RequestGameSpeedTapRequest1           = 333
  RollBlockInitial                      = 334
  RollBlockPreActionNamedFace           = 335
  RollBlockPreActionUnnamedFace         = 336
  RollBlockPutDown                      = 337
  RollBlockRealign                      = 338
  RollBlockRetry                        = 339
  RollBlockSuccess                      = 340
  SdkTextToSpeech                       = 341
  Shiver                                = 342
  Shocked                               = 343
  Singing_80bpm                         = 344
  Singing_100bpm                        = 345
  Singing_120bpm                        = 346
  Singing_GetIn                         = 347
  Singing_GetOut                        = 348
  Sleeping                              = 349
  SoftSparkUpgradeLift                  = 350
  SoftSparkUpgradeTracks                = 351
  SoundOnlyLiftEffortPickup             = 352
  SoundOnlyLiftEffortPlaceHigh          = 353
  SoundOnlyLiftEffortPlaceLow           = 354
  SoundOnlyLiftEffortPlaceRoll          = 355
  SoundOnlyRamIntoBlock                 = 356
  SoundOnlyTurnSmall                    = 357
  SparkDrivingLoop                      = 358
  SparkDrivingStart                     = 359
  SparkDrivingStop                      = 360
  SparkFailure                          = 361
  SparkGetIn                            = 362
  SparkGetOut                           = 363
  SparkIdle                             = 364
  SparkPickupFinalCubeReaction          = 365
  SparkPickupInitialCubeReaction        = 366
  SparkSuccess                          = 367
  SpeedTapDrivingEnd                    = 368
  SpeedTapDrivingLoop                   = 369
  SpeedTapDrivingStart                  = 370
  StackBlocksSuccess                    = 371
  StartSleeping                         = 372
  SuccessfulWheelie                     = 373
  Surprise                              = 374
  TurtleRoll                            = 375
  UnitTestAnim                          = 376
  WaitOnSideLoop                        = 377
  WorkoutPostLift_highEnergy            = 378
  WorkoutPostLift_lowEnergy             = 379
  WorkoutPostLift_mediumEnergy          = 380
  WorkoutPreLift_highEnergy             = 381
  WorkoutPreLift_lowEnergy              = 382
  WorkoutPreLift_mediumEnergy           = 383
  WorkoutPutDown_highEnergy             = 384
  WorkoutPutDown_lowEnergy              = 385
  WorkoutPutDown_lowEnergy_simple       = 386
  WorkoutPutDown_mediumEnergy           = 387
  WorkoutStrongLift_highEnergy          = 388
  WorkoutStrongLift_lowEnergy           = 389
  WorkoutStrongLift_mediumEnergy        = 390
  WorkoutTransition_highEnergy          = 391
  WorkoutTransition_lowEnergy           = 392
  WorkoutTransition_mediumEnergy        = 393
  WorkoutWeakLift_highEnergy            = 394
  WorkoutWeakLift_lowEnergy             = 395
  WorkoutWeakLift_mediumEnergy          = 396
  Count                                 = 397

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                    = 0
  Connected                   = 1
  CubePouncePlayerLose        = 2
  CubePouncePlayerWin         = 3
  DoubleTappedKnown           = 4
  DoubleTappedUnsure          = 5
  DrivingTo                   = 6
  Flash                       = 7
  GatherCubesAllCubesInBeacon = 8
  GatherCubesCubeInBeacon     = 9
  GuardDogBeingMoved          = 10
  GuardDogBusted              = 11
  GuardDogOff                 = 12
  GuardDogSetup               = 13
  GuardDogSleeping            = 14
  GuardDogSuccessfullyFlipped = 15
  Interacting                 = 16
  InteractingBehaviorLock     = 17
  Onboarding                  = 18
  PyramidBaseBottom           = 19
  PyramidFlourish             = 20
  PyramidOnSideLocated        = 21
  PyramidOnSideNotLocated     = 22
  PyramidPickup               = 23
  PyramidSingle               = 24
  Sleep                       = 25
  SleepNoFade                 = 26
  SpeedTapWin                 = 27
  SpeedTapLose                = 28
  Visible                     = 29
  WakeUp                      = 30
  Workout                     = 31
  Count                       = 32

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


