# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/behaviorTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/behaviorTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class BehaviorGameFlag(object):
  "Automatically-generated uint_8 enumeration."
  NoGame      = 0
  SpeedTap    = 0x1
  MemoryMatch = 0x2
  KeepAway    = 0x4
  All         = 0xff

Anki.Cozmo.BehaviorGameFlag = BehaviorGameFlag
del BehaviorGameFlag


class BehaviorClass(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior               = 0
  Bouncer                    = 1
  BringCubeToBeacon          = 2
  BuildPyramid               = 3
  BuildPyramidBase           = 4
  CantHandleTallStack        = 5
  CheckForStackAtInterval    = 6
  CubeLiftWorkout            = 7
  DockingTestSimple          = 8
  DriveOffCharger            = 9
  DrivePath                  = 10
  EnrollFace                 = 11
  ExploreLookAroundInPlace   = 12
  ExploreVisitPossibleMarker = 13
  FactoryCentroidExtractor   = 14
  FactoryTest                = 15
  FindFaces                  = 16
  FistBump                   = 17
  GuardDog                   = 18
  InteractWithFaces          = 19
  KnockOverCubes             = 20
  LiftLoadTest               = 21
  LookAround                 = 22
  LookForFaceAndCube         = 23
  LookInPlaceMemoryMap       = 24
  OnConfigSeen               = 25
  OnboardingShowCube         = 26
  PeekABoo                   = 27
  PickUpCube                 = 28
  PickUpAndPutDownCube       = 29
  PlayAnim                   = 30
  PlayArbitraryAnim          = 31
  PopAWheelie                = 32
  PounceOnMotion             = 33
  PutDownBlock               = 34
  PyramidThankYou            = 35
  RespondPossiblyRoll        = 36
  RespondToRenameFace        = 37
  RequestGameSimple          = 38
  RollBlock                  = 39
  Singing                    = 40
  StackBlocks                = 41
  ThinkAboutBeacons          = 42
  TrackLaser                 = 43
  VisitInterestingEdge       = 44
  AcknowledgeFace            = 45
  AcknowledgeObject          = 46
  RamIntoBlock               = 47
  ReactToCliff               = 48
  ReactToCubeMoved           = 49
  ReactToDoubleTap           = 50
  ReactToFrustration         = 51
  ReactToMotorCalibration    = 52
  ReactToOnCharger           = 53
  ReactToPet                 = 54
  ReactToPickup              = 55
  ReactToPlacedOnSlope       = 56
  ReactToPyramid             = 57
  ReactToReturnedToTreads    = 58
  ReactToRobotOnBack         = 59
  ReactToRobotOnFace         = 60
  ReactToRobotOnSide         = 61
  ReactToRobotShaken         = 62
  ReactToSparked             = 63
  ReactToStackOfCubes        = 64
  ReactToUnexpectedMovement  = 65
  ReactToVoiceCommand        = 66

Anki.Cozmo.BehaviorClass = BehaviorClass
del BehaviorClass


class BehaviorID(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior                       = 0
  AcknowledgeFace                    = 1
  AcknowledgeObject                  = 2
  Bouncer                            = 3
  BuildPyramid                       = 4
  BuildPyramidBase                   = 5
  CantHandleTallStack                = 6
  CubeLiftWorkout                    = 7
  DockingTestSimple                  = 8
  DriveOffCharger                    = 9
  EnrollFace                         = 10
  FactoryCentroidExtractor           = 11
  FactoryTest                        = 12
  FindFaces_socialize                = 13
  FistBump                           = 14
  FPPeekABoo                         = 15
  GuardDog                           = 16
  Hiccup                             = 17
  Hiking_BringCubeToBeacon           = 18
  Hiking_DriveOffCharger             = 19
  Hiking_FirstLookIntro              = 20
  Hiking_FirstLookWakeUp             = 21
  Hiking_LookInPlace360              = 22
  Hiking_LookInPlaceForUnknown       = 23
  Hiking_PounceOnMotion              = 24
  Hiking_RollCube                    = 25
  Hiking_ThinkAboutBeacons           = 26
  Hiking_VisitInterestingEdge        = 27
  InteractWithFaces                  = 28
  KnockOverCubes                     = 29
  LiftLoadTest                       = 30
  MeetCozmo_FindFaces_Socialize      = 31
  MeetCozmo_InteractWithFaces        = 32
  NothingToDo_BoredAnim              = 33
  NothingToDo_Idle                   = 34
  OnboardingShowCube                 = 35
  PlayArbitraryAnim                  = 36
  PopAWheelie                        = 37
  PounceOnMotion_Socialize           = 38
  PounceOnMotion_VoiceCommand        = 39
  PutDownBlock                       = 40
  PutDownBlockNothingToDo            = 41
  PutDownDispatch_LookForFaceAndCube = 42
  PyramidPutDownBlock                = 43
  PyramidRespondPossiblyRoll         = 44
  PyramidThankYou                    = 45
  RamIntoBlock                       = 46
  ReactToCliff                       = 47
  ReactToCubeMoved                   = 48
  ReactToDoubleTap                   = 49
  ReactToFrustrationMajor            = 50
  ReactToFrustrationMinor            = 51
  ReactToMotorCalibration            = 52
  ReactToOnCharger                   = 53
  ReactToPet                         = 54
  ReactToPickup                      = 55
  ReactToPlacedOnSlope               = 56
  ReactToPyramid                     = 57
  ReactToReturnedToTreads            = 58
  ReactToRobotOnBack                 = 59
  ReactToRobotOnFace                 = 60
  ReactToRobotOnSide                 = 61
  ReactToRobotShaken                 = 62
  ReactToSparked                     = 63
  ReactToStackOfCubes                = 64
  ReactToUnexpectedMovement          = 65
  ReactToVoiceCommand                = 66
  RespondToPyramidBase               = 67
  RequestKeepAway                    = 68
  RequestMemoryMatch                 = 69
  RequestSpeedTap                    = 70
  RespondToRenameFace                = 71
  RollBlockOnSide                    = 72
  RollBlockOnSideLowScore            = 73
  Singing_Beethovens5th              = 74
  Singing_Camptown                   = 75
  Singing_FrereJacques               = 76
  Singing_ItsyBitsySpider            = 77
  Singing_MaryHadALittleLamb         = 78
  Singing_OdeToJoy                   = 79
  Singing_PachebelCanon              = 80
  Singing_PopGoesTheWeasel           = 81
  Singing_RowYourBoat                = 82
  Singing_TakeMeOutToTheBallgame     = 83
  Singing_TwinkleTwinkle             = 84
  Singing_WilliamTell                = 85
  Singing_YankeeDoodle               = 86
  SparksBringCubeToBeacon            = 87
  SparksCheckForStackAtInterval      = 88
  SparksCubeLiftWorkout              = 89
  SparksFindFaces                    = 90
  SparksFistBump                     = 91
  SparksKnockOverCubes               = 92
  SparksLookInPlace                  = 93
  SparksPeekABoo                     = 94
  SparksPickUpCube                   = 95
  SparksPickupSingleCubeForPyramid   = 96
  SparksPickupSingleCubeToStack      = 97
  SparksPopAWheelie                  = 98
  SparksPounceOnMotion               = 99
  SparksPutDownBlock                 = 100
  SparksRollBlock                    = 101
  SparksStackBlock                   = 102
  SparksThinkAboutBeacons            = 103
  SparksVisitPossibleMarker          = 104
  StackBlocks                        = 105
  TapInteractionPickUpCube           = 106
  TapInteractionPopAWheelie          = 107
  TapInteractionRollCube             = 108
  TapInteractionStackCubes           = 109
  TrackLaser                         = 110
  VisitPossibleMarker                = 111

Anki.Cozmo.BehaviorID = BehaviorID
del BehaviorID


class ExecutableBehaviorType(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior      = 0
  EnrollFace        = 1
  FindFaces         = 2
  FistBump          = 3
  KnockOverCubes    = 4
  LiftLoadTest      = 5
  LookAroundInPlace = 6
  PounceOnMotion    = 7
  RollBlock         = 8
  StackBlocks       = 9
  TrackLaser        = 10
  Count             = 11

Anki.Cozmo.ExecutableBehaviorType = ExecutableBehaviorType
del ExecutableBehaviorType


class PyramidConstructionStage(object):
  "Automatically-generated uint_8 enumeration."
  NoneStage               = 0
  SearchingForCube        = 1
  InitialCubeCarry        = 2
  BaseFormed              = 3
  TopBlockCarry           = 4
  PyramidCompleteFlourish = 5

Anki.Cozmo.PyramidConstructionStage = PyramidConstructionStage
del PyramidConstructionStage


class GuardDogStage(object):
  "Automatically-generated uint_8 enumeration."
  Sleeping       = 0
  CubeBeingMoved = 1
  Busted         = 2
  CubesRemaining = 3
  AllCubesGone   = 4
  Count          = 5

Anki.Cozmo.GuardDogStage = GuardDogStage
del GuardDogStage


class WorkoutStage(object):
  "Automatically-generated uint_8 enumeration."
  NormalWorkout       = 0
  EightiesWorkoutPrep = 1
  EightiesWorkoutLift = 2
  Count               = 3

Anki.Cozmo.WorkoutStage = WorkoutStage
del WorkoutStage


